/***************************************************************************
**
**    $Header:   D:/EPSLDV1/SRC/LOG/DLIBOPTI.CPP   1.4   20 Jun 1996 09:29:24   ZJRD  $
**
**    $Log:   D:/EPSLDV1/SRC/LOG/DLIBOPTI.CPP  $
** 
**    Rev 1.4   20 Jun 1996 09:29:24   ZJRD
** EasyPack/SLD Version 1.20a
** 
**    Rev 1.2   10 Jun 1996 10:24:02   ZJRD
** EasyPack/SLD Version 1.20
** 
**    Rev 1.0   29 May 1996 09:35:38   ZJRD
** Initial revision.
** 
****************************************************************************/

/////////////////////////////////////////////////////////////////////////////
// dcoption.cpp
//
// Michael Long 
//                                                                           
// 5/14/96
//
/////////////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "resource.h"

#include "toolopt.h"
#include "dlib.h"
#include "dliboption.h"

#ifdef _DEBUG
#undef THIS_FILE
static char BASED_CODE THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// DLIBOption dialog


DLIBOption::DLIBOption(DLIBTool * pTool)
    : CPropertyPage(DLIBOption::IDD)
{                                
    ASSERT(pTool);
    
    m_pTool = pTool;          
    
    LoadData();

    //{{AFX_DATA_INIT(DLIBOption)
   
    //}}AFX_DATA_INIT
}

void DLIBOption::DoDataExchange(CDataExchange* pDX)
{
    CPropertyPage::DoDataExchange(pDX);
    //{{AFX_DATA_MAP(DCOption)
    DDX_Check(pDX, IDC_DLIBOPT_CHECK1, m_nSmall);
    DDX_Check(pDX, IDC_DLIBOPT_CHECK2, m_nCompact);
    DDX_Check(pDX, IDC_DLIBOPT_CHECK3, m_nLarge);
    DDX_Text(pDX, IDC_DLIBOPT_MORE_EDIT, m_strMore);
    DDX_Text(pDX, IDC_DLIBOPT_PATH_EDIT, m_strPath);
    //}}AFX_DATA_MAP
}

void DLIBOption::SaveData(void)
{                                  
//  UpdateData(TRUE);

    m_pTool->m_nSmall     = m_nSmall;
    m_pTool->m_nCompact = m_nCompact;
    m_pTool->m_nLarge    = m_nLarge;
    m_pTool->m_strMore      = m_strMore;
    m_pTool->m_strPath      = m_strPath;
    
   }

void DLIBOption::LoadData(void)
{
    m_nSmall     = m_pTool->m_nSmall;
    m_nCompact = m_pTool->m_nCompact;
    m_nLarge    = m_pTool->m_nLarge;
    m_strMore      = m_pTool->m_strMore;
    m_strPath      = m_pTool->m_strPath;
    
}

BEGIN_MESSAGE_MAP(DLIBOption, CPropertyPage)
    //{{AFX_MSG_MAP(DLIBOption)
        // NOTE: the ClassWizard will add message map macros here
    //}}AFX_MSG_MAP
END_MESSAGE_MAP()


/////////////////////////////////////////////////////////////////////////////
// DCOption message handlers
